Subject: Re: bug#72352: Small tab-bar-move-tab-to-group bug fix

From: Juri Linkov <[email-masked]>
Date: Mon, 29 Jul 2024 21:16:44 +0300

close 72352 30.0.60
thanks

> This corrects for the condition where a tab, among its set of tabs which
> all share the same group (nil or otherwise), is changed to a new group that
> doesn't yet exist. The current behavior is to leave that tab where it is
> within the "old group" but this is counter to the goal of keeping
> group-related tabs "together." The correction I've made is simply to move
> that newly grouped tab to the end. I've tested this and been using a
> patched form for a while to no ill effect.

Thanks for the fix, now pushed to emacs-30.